MONGOC_CLIENT_POOL_SET_ERROR_API(3)

NAME
mongoc_client_pool_set_error_api - mongoc_client_pool_set_error_api()

SYNOPSIS

bool
mongoc_client_pool_set_error_api (mongoc_client_pool_t *client,
                                  int32_t version);

Configure how the C Driver reports errors. See Setting the Error API Version.

PARAMETERS

•   pool: A mongoc_client_pool_t.

•   version: The version of the error API, either MONGOC_ERROR_API_VERSION_LEGACY or MONGOC_ERROR_API_VERSION_2.

RETURNS

Returns true if the error API version was set, or logs an error message and returns false if version is invalid.

THREAD SAFETY

This function can only be called once on a pool, and must be called before the first call to mongoc_client_pool_pop.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc